bitel.billing.server.contract.bean

## Class ContractNotificationManager

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractNotificationManager

- Deprecated.
  use `ContractNotification`, `ContractNotificationDao` and `ContractNotificationService`

      @Deprecated
      public class ContractNotificationManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.log4j.Logger` | `log` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractNotificationManager(java.sql.Connection con)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteNotification(int id)` Deprecated.
    `int` | `getNewNotificationsCount(int cid)` Deprecated.
    `ContractNotification` | `getNotification(int id)` Deprecated.
    `java.util.List<ContractNotification>` | `getNotificationList(int cid)` Deprecated.
    `void` | `updateNotification(ContractNotification notice)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected org.apache.log4j.Logger log

      Deprecated.

  - ### Constructor Detail

    - #### ContractNotificationManager

          public ContractNotificationManager(java.sql.Connection con)

      Deprecated.

  - ### Method Detail

    - #### updateNotification

          public void updateNotification(ContractNotification notice)

      Deprecated.

    - #### deleteNotification

          public void deleteNotification(int id)

      Deprecated.

    - #### getNotification

          public ContractNotification getNotification(int id)

      Deprecated.

    - #### getNotificationList

          public java.util.List<ContractNotification> getNotificationList(int cid)

      Deprecated.

    - #### getNewNotificationsCount

          public int getNewNotificationsCount(int cid)

      Deprecated.